<?xml version="1.0"?>
<config xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
        xsi:noNamespaceSchemaLocation="urn:magento:framework:ObjectManager/etc/config.xsd">
    <preference for="Ivanko\Smartphone\Api\Data\SmartphoneInterface" type="Ivanko\Smartphone\Model\Smartphone"/>
    <preference for="Ivanko\Smartphone\Api\SmartphoneRepositoryInterface" type="Ivanko\Smartphone\Model\SmartphoneRepository"/>
    <virtualType name="Ivanko\Smartphone\Model\ResourceModel\Smartphone\Grid\Collection"
                 type="Magento\Framework\View\Element\UiComponent\DataProvider\SearchResult">
        <arguments>
            <argument name="mainTable" xsi:type="string">smartphone</argument>
            <argument name="resourceModel" xsi:type="string">Ivanko\Smartphone\Model\ResourceModel\Smartphone</argument>
        </arguments>
    </virtualType>
    <virtualType name="Ivanko\Smartphone\Ui\Component\Control\SaveSplitButton"
                 type="Magento\Backend\Ui\Component\Control\SaveSplitButton">
        <arguments>
            <argument name="targetName" xsi:type="string">ivanko_smartphone_form.ivanko_smartphone_form</argument>
        </arguments>
    </virtualType>
    <virtualType name="Ivanko\Smartphone\Ui\Component\Control\DeleteButton"
                 type="Magento\Backend\Ui\Component\Control\DeleteButton">
        <arguments>
            <argument name="confirmationMessage" xsi:type="string" translatable="true">Are you sure you want to delete
                this article?
            </argument>
            <argument name="idFieldName" xsi:type="const">
                Ivanko\Smartphone\Api\Data\SmartphoneInterface::ID
            </argument>
            <argument name="deleteRoutePath" xsi:type="string">*/*/delete</argument>
            <argument name="sortOrder" xsi:type="number">30</argument>
        </arguments>
    </virtualType>
    <type name="Magento\Framework\View\Element\UiComponent\DataProvider\CollectionFactory">
        <arguments>
            <argument name="collections" xsi:type="array">
                <item name="ivanko_smartphone_grid_data_source" xsi:type="string">
                    Ivanko\Smartphone\Model\ResourceModel\Smartphone\Grid\Collection
                </item>
            </argument>
        </arguments>
    </type>
</config>